% clc;
% clear;
% close all;

%% Problem Definition

nVar=2;             % Number of Decision Variables

VarSize=[1 nVar];   % Decision Variables Matrix Size

VarMin=0.1;      % Lower Bound of Variables
VarMax=1.3;      % Upper Bound of Variables

%% Get Pareto Front Shape

N=1000000;

empty_sol.Position=[];
empty_sol.Cost=[];

sol=repmat(empty_sol,N,1);

for i=1:N
    sol(i).Position=unifrnd(VarMin,VarMax,VarSize);
    sol(i).Cost=DesObj(sol(i).Position);
end

Costs=[sol.Cost];

figure;
plot(Costs(1,:),Costs(2,:),'.');
xlabel('objective1');
ylabel('objective2');
% hold on
% x=linspace(0,7*10^(-3),100);
% y=0*x;
% plot(x,y)
% hold off
% 
